FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo User

 
 
LinkBack Thread Tools
 
Old 02-17-2010, 08:25 AM
Andzrzej Styczeń
 
Default Problem with installation kde-meta, gnome

Hello,

I am newbie to Gentoo. I yesterday install it and uff it works :-).

Today I try to install kde on amd64 architecture but I obtain error. I do the
following:

# emerge --sync
# emerge kde-meta

* Error: circular dependencies:

('ebuild','/','devel-util/cmake-2.6.4-r3','merge') depends on
┬* ┬* ('ebuild','/','x11-libs/qt-gui-4.5.3-r2','merge') (buildtime)
....

end so on


If I want to install gnome, but I obtain similar error but different packages
are affected.

# emerge gnome

* Error: circular dependencies:

('ebuild','/','x11-libs/qt-gui-4.5.3-r2','merge') depends on
┬* ┬* ('ebuild','/','net-print/cups-1.3.11-r1','merge') (buildtime)
....


I try also as is pointed here:
http://www.gentoo.org/proj/en/desktop/kde/kde4-guide.xml
do the following:

# emerge -av kde-meta:4.3 ┬*
but this also didn't work (error this same as earlier).

So what is going on here. How I can install the kde-meta? Could someone help
me or point me to the right direction. Thank you in advance for your time. If
you need more information I send it to you.

Best wishes,
Andrzej

PS. I'm sorry if this e-mail was sent the second time. I sent it first from kmail
on my Debian box, but I do not get any response. Now I sent it from web page.
 
Old 02-17-2010, 08:58 AM
Alan McKinnon
 
Default Problem with installation kde-meta, gnome

On Wednesday 17 February 2010 11:25:25 Andzrzej Styczeń wrote:
> Hello,
>
> I am newbie to Gentoo. I yesterday install it and uff it works :-).
>
> Today I try to install kde on amd64 architecture but I obtain error. I do
> the following:
>
> # emerge --sync
> # emerge kde-meta
>
> * Error: circular dependencies:

Wait about one day, sync again, and retry.

Chances are good the maintainer will have spotted the circular deps and fixed
them. There's not much you can do about it on your end.

With experience, it's possible to adjust one of the packages to break the
circular dep, then reinstall then one at a time in the correct order. You have
used Gentoo for one day, this would not be an appropriate thing for you to
attempt. Easier to wait a bit.



--
alan dot mckinnon at gmail dot com
 
Old 02-17-2010, 09:36 AM
Andrzej Styczeń
 
Default Problem with installation kde-meta, gnome

On Wednesday 17 of February 2010 10:58:53 Alan McKinnon wrote:
> Wait about one day, sync again, and retry.
>
> Chances are good the maintainer will have spotted the circular deps and
> fixed them. There's not much you can do about it on your end.
>
> With experience, it's possible to adjust one of the packages to break the
> circular dep, then reinstall then one at a time in the correct order. You
> have used Gentoo for one day, this would not be an appropriate thing for
> you to attempt. Easier to wait a bit.

Thank you. I will try tomorrow.

Andrzej
 

Thread Tools




All times are GMT. The time now is 07:25 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright ę2007 - 2008, www.linux-archive.org